JmolApp
Date: 2019-10-22

org.openscience.jmol.app

## Class JmolApp

- java.lang.Object
- - org.openscience.jmol.app.JmolApp

- All Implemented Interfaces:
    JmolAppAPI

      public class JmolApp
      extends java.lang.Object
      implements JmolAppAPI

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) class` | `JmolApp.OptSort`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `autoAnimationDelay`
    `java.awt.Point` | `border`
    `boolean` | `haveBorder`
    `boolean` | `haveConsole`
    `boolean` | `haveDisplay`
    `HistoryFile` | `historyFile`
    `java.util.Map<java.lang.String,java.lang.Object>` | `info`
    `boolean` | `isDataOnly`
    `boolean` | `isKiosk`
    `boolean` | `isPrintOnly`
    `boolean` | `isSilent`
    `java.awt.Point` | `jmolPosition`
    `private java.lang.String` | `menuFile`
    `private java.lang.String` | `modelFilename`
    `HistoryFile` | `pluginFile`
    `int` | `port` The data model.
    `private boolean` | `scanInput`
    `private java.lang.String` | `script1`
    `private java.lang.String` | `script2`
    `private java.lang.String` | `scriptFilename`
    `boolean` | `splashEnabled`
    `int` | `startupHeight`
    `int` | `startupWidth`
    `java.io.File` | `userPropsFile`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JmolApp()`
    `JmolApp(java.lang.String[] args)` standard Jmol application entry point

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHistoryWindowInfo(java.lang.String name, java.awt.Component window, java.awt.Point border)`
    `private void` | `checkOptions(org.apache.commons.cli.CommandLine line, org.apache.commons.cli.Options options)`
    `java.awt.Point` | `getHistoryWindowPosition(java.lang.String name)`
    `java.awt.Dimension` | `getHistoryWindowSize(java.lang.String name)`
    `private org.apache.commons.cli.Options` | `getOptions()`
    `void` | `parseCommandLine(java.lang.String[] args)`
    `private void` | `runScript(java.lang.String script, boolean outputResults, JmolViewer vwr)`
    `void` | `startViewer(JmolViewer vwr, SplashInterface splash, boolean isJmolData)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### port

          public int port

      The data model.

    - #### startupWidth

          public int startupWidth

    - #### startupHeight

          public int startupHeight

    - #### border

          public java.awt.Point border

    - #### haveBorder

          public boolean haveBorder

    - #### userPropsFile

          public java.io.File userPropsFile

    - #### historyFile

          public HistoryFile historyFile

    - #### pluginFile

          public HistoryFile pluginFile

    - #### haveConsole

          public boolean haveConsole

    - #### haveDisplay

          public boolean haveDisplay

    - #### splashEnabled

          public boolean splashEnabled

    - #### isDataOnly

          public boolean isDataOnly

    - #### isKiosk

          public boolean isKiosk

    - #### isPrintOnly

          public boolean isPrintOnly

    - #### isSilent

          public boolean isSilent

    - #### info

          public java.util.Map<java.lang.String,java.lang.Object> info

    - #### jmolPosition

          public java.awt.Point jmolPosition

    - #### autoAnimationDelay

          public float autoAnimationDelay

    - #### modelFilename

          private java.lang.String modelFilename

    - #### scriptFilename

          private java.lang.String scriptFilename

    - #### script1

          private java.lang.String script1

    - #### script2

          private java.lang.String script2

    - #### scanInput

          private boolean scanInput

    - #### menuFile

          private java.lang.String menuFile

  - ### Constructor Detail

    - #### JmolApp

          public JmolApp()

    - #### JmolApp

          public JmolApp(java.lang.String[] args)

      standard Jmol application entry point
      Parameters:
        `args` -

  - ### Method Detail

    - #### parseCommandLine

          public void parseCommandLine(java.lang.String[] args)

    - #### getOptions

          private org.apache.commons.cli.Options getOptions()

    - #### checkOptions

          private void checkOptions(org.apache.commons.cli.CommandLine line,
                                    org.apache.commons.cli.Options options)

    - #### startViewer

          public void startViewer(JmolViewer vwr,
                                  SplashInterface splash,
                                  boolean isJmolData)

    - #### runScript

          private void runScript(java.lang.String script,
                                 boolean outputResults,
                                 JmolViewer vwr)

    - #### addHistoryWindowInfo

          public void addHistoryWindowInfo(java.lang.String name,
                                           java.awt.Component window,
                                           java.awt.Point border)

      Specified by:
        `addHistoryWindowInfo` in interface `JmolAppAPI`

    - #### getHistoryWindowPosition

          public java.awt.Point getHistoryWindowPosition(java.lang.String name)

      Specified by:
        `getHistoryWindowPosition` in interface `JmolAppAPI`

    - #### getHistoryWindowSize

          public java.awt.Dimension getHistoryWindowSize(java.lang.String name)

      Specified by:
        `getHistoryWindowSize` in interface `JmolAppAPI`